@echo off
cls

rem Create an INF request file with the specified subjectname
set subjectname=client.fqdn.co.uk

echo Generating INF file for certificate
echo ;CertificateRequestTemplate.inf >> %subjectname%.inf
echo [NewRequest]                                                 >> %subjectname%.inf
echo Subject="cn=%subjectname%"                                   >> %subjectname%.inf
echo Exportable=TRUE                                              >> %subjectname%.inf
echo KeyLength=2048                                               >> %subjectname%.inf
echo KeySpec=1             ;key exchange                          >> %subjectname%.inf
echo KeyUsage=0xA0                                                >> %subjectname%.inf
echo MachineKeySet=TRUE                                           >> %subjectname%.inf
echo [RequestAttributes]                                          >> %subjectname%.inf
echo CertificateTemplate="ConfigMgrClientCertificate" ; this is for Client Authentication    >> %subjectname%.inf
echo SAN="DNS=%subjectname%"                             >> %subjectname%.inf

echo Generating certificate request
CertReq -New -f %subjectname%.inf %subjectname%.req

echo Retrieving certificate
CertReq -Submit -q -f -config CAServerName.FQDN.CO.UK\CA-NAME-CA %subjectname%.req %subjectname%.cer

Echo Importing certificate
certreq -accept %subjectname%.cer

Echo Exporting certificate
Certutil -f -p <password> exportpfx %subjectname% .\clientcerts\%subjectname%.pfx

Echo Finishing
certutil -delstore "MY" %subjectname%

del %subjectname%.req
del %subjectname%.inf
del %subjectname%.cer
echo Completed!